Return true if the RightInfo concern grants access to the resource

- « Win32Service\RightInfo::isDenyAccess

- Examples »

- PHP Manual
- Win32Service\RightInfo
- Return true if the RightInfo concern grants access to the resource

# Win32Service\RightInfo::isGrantAccess

(PECL win32service >=1.1.0)

Win32Service\RightInfo::isGrantAccess — Return true if the RightInfo concern grants access to the resource

### Description

final public Win32Service\RightInfo::isGrantAccess(): bool

Return `true` if the RightInfo concern grants access to the resource, `false` otherwise.

### Parameters

This function has no parameters.

### Return Values

Return `true` if the RightInfo concern grants access to the resource, `false` otherwise.

### See Also

- Win32Service\RightInfo::__construct() - Create a new RightInfo (not used)
- Win32Service\RightInfo::getRights() - Return the rights list
- Win32Service\RightInfo::isDenyAccess() - Return true if the RightInfo concerns deny access to the resource
- Win32Service\RightInfo::getFullUsername() - Return the domain and username
- Win32Service\RightInfo::getUsername() - Return the username
- Win32Service\RightInfo::getDomain() - Return the user's domain